FolksDummy.PersonaStore.add_persona_from_details – folks-dummy Reference Manual

# add_persona_from_details

## Description:

public override async Persona? add_persona_from_details (HashTable<string,Value?> details) throws PersonaStoreError

Add a new Persona to the PersonaStore.

Accepted keys for `details` are: - PersonaStore.detail_key (PersonaDetail.AVATAR) - PersonaStore.detail_key (PersonaDetail.BIRTHDAY) - PersonaStore.detail_key (PersonaDetail.EMAIL_ADDRESSES) - PersonaStore.detail_key (PersonaDetail.FULL_NAME) - PersonaStore.detail_key (PersonaDetail.GENDER) - PersonaStore.detail_key (PersonaDetail.IM_ADDRESSES) - PersonaStore.detail_key (PersonaDetail.IS_FAVOURITE) - PersonaStore.detail_key (PersonaDetail.PHONE_NUMBERS) - PersonaStore.detail_key (PersonaDetail.POSTAL_ADDRESSES) - PersonaStore.detail_key (PersonaDetail.ROLES) - PersonaStore.detail_key (PersonaDetail.STRUCTURED_NAME) - PersonaStore.detail_key (PersonaDetail.LOCAL_IDS) - PersonaStore.detail_key (PersonaDetail.WEB_SERVICE_ADDRESSES) - PersonaStore.detail_key (PersonaDetail.NOTES) - PersonaStore.detail_key (PersonaDetail.URLS)

See Folks.PersonaStore.add_persona_from_details.

## Parameters:

details | key–value pairs giving the new persona’s details

## Exceptions:

Folks.PersonaStoreError.STORE_OFFLINE | if the store hasn’t been prepared
Folks.PersonaStoreError.CREATE_FAILED | if creating the persona in the dummy store failed

## Since:

0.9.7